[Pkg-voip-commits] r6608 - in /dahdi-linux/trunk/debian: README.Debian changelog dahdi-linux.examples make_static_nodes

tzafrir-guest at alioth.debian.org tzafrir-guest at alioth.debian.org
Sat Jan 3 18:17:04 UTC 2009


Author: tzafrir-guest
Date: Sat Jan  3 18:17:04 2009
New Revision: 6608

URL: http://svn.debian.org/wsvn/pkg-voip/?sc=1&rev=6608
Log:
Don't generate static device files automatically. Provide a script 
to do that. Until we know if there is an actual use for the non-udev
setup.

Added:
    dahdi-linux/trunk/debian/dahdi-linux.examples
    dahdi-linux/trunk/debian/make_static_nodes   (with props)
Modified:
    dahdi-linux/trunk/debian/README.Debian
    dahdi-linux/trunk/debian/changelog

Modified: dahdi-linux/trunk/debian/README.Debian
URL: http://svn.debian.org/wsvn/pkg-voip/dahdi-linux/trunk/debian/README.Debian?rev=6608&op=diff
==============================================================================
--- dahdi-linux/trunk/debian/README.Debian (original)
+++ dahdi-linux/trunk/debian/README.Debian Sat Jan  3 18:17:04 2009
@@ -20,6 +20,10 @@
 ----------
 FIXME: write about the necessary permission rules (/dev/dahdi/* files
 are created by udev, but no longer need any special udev rules file)
+
+If you can't generate device files with udev, use the script 
+make_static_nodes in the examples directory of dahdi-linux. Please also 
+let us know that generating static file is actually needed.
 
 
 Bristuff

Modified: dahdi-linux/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-voip/dahdi-linux/trunk/debian/changelog?rev=6608&op=diff
==============================================================================
--- dahdi-linux/trunk/debian/changelog (original)
+++ dahdi-linux/trunk/debian/changelog Sat Jan  3 18:17:04 2009
@@ -16,6 +16,9 @@
   * qozap no longer included: Use wcb4xxp instead.
   * ztgsm no longer built: nobody really used it.
   * cwain and vzaphfc currently included but not built.
+  * Don't generate static device files automatically. Provide a script 
+    to do that. Until we know if there is an actual use for the non-udev
+    setup.
 
  -- Tzafrir Cohen <tzafrir.cohen at xorcom.com>  Thu, 20 Nov 2008 12:01:53 +0200
 

Added: dahdi-linux/trunk/debian/dahdi-linux.examples
URL: http://svn.debian.org/wsvn/pkg-voip/dahdi-linux/trunk/debian/dahdi-linux.examples?rev=6608&op=file
==============================================================================
--- dahdi-linux/trunk/debian/dahdi-linux.examples (added)
+++ dahdi-linux/trunk/debian/dahdi-linux.examples Sat Jan  3 18:17:04 2009
@@ -1,0 +1,1 @@
+debian/make_static_nodes

Added: dahdi-linux/trunk/debian/make_static_nodes
URL: http://svn.debian.org/wsvn/pkg-voip/dahdi-linux/trunk/debian/make_static_nodes?rev=6608&op=file
==============================================================================
--- dahdi-linux/trunk/debian/make_static_nodes (added)
+++ dahdi-linux/trunk/debian/make_static_nodes Sat Jan  3 18:17:04 2009
@@ -1,0 +1,25 @@
+#!/bin/sh
+
+# Generate static device file nodes for dahdi
+# Most peopel won't need this, as the device file nodes are normally
+# generated by udev. Also note that if you do use udev, /dev is a 
+# ramdisk, and thus any changes you do to it will not be preserved
+# on next boot.
+
+mknod_safe() {
+	if [ -c $1 ]; then return; fi
+	mknod "$@" || true
+}
+
+mkdir -p /dev/dahdi
+mknod_safe /dev/dahdi/ctl c 196 0
+mknod_safe /dev/dahdi/transcode c 196 250
+mknod_safe /dev/dahdi/timer c 196 253
+mknod_safe /dev/dahdi/channel c 196 254
+mknod_safe /dev/dahdi/pseudo c 196 255
+for N in `seq 249`; do
+        mknod_safe /dev/dahdi/$N c 196 $N
+done
+chown -R 0:dialout /dev/dahdi/
+chmod 0660 /dev/dahdi/*
+

Propchange: dahdi-linux/trunk/debian/make_static_nodes
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-voip-commits mailing list